# PostmanApi

Get a postman collection of all visible Api\
(Get the \[POSTMAN]\(<http://www.getpostman.com>) chrome extension)
-------------------------------------------------------------------

> Get a postman collection of all visible api

```json
{"openapi":"3.1.1","info":{"title":"NexPort Web API","version":"v1"},"servers":[{"url":"https://www.nexportcampus.com"}],"paths":{"/api/v1/PostmanApi/GetPostmanCollection":{"get":{"tags":["PostmanApi"],"summary":"Get a postman collection of all visible Api\r\n(Get the [POSTMAN](http://www.getpostman.com) chrome extension)","description":"Get a postman collection of all visible api","operationId":"PostmanApi_GetPostmanCollection","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostmanCollectionGet"}},"text/json":{"schema":{"$ref":"#/components/schemas/PostmanCollectionGet"}}}},"422":{"description":"Validation exception. See response body for more info.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseBase"}},"text/json":{"schema":{"$ref":"#/components/schemas/ApiResponseBase"}}}}}}}},"components":{"schemas":{"PostmanCollectionGet":{"description":"[Postman](http://getpostman.com) collection representation","type":"object","properties":{"id":{"format":"uuid","description":"Id of collection","type":"string"},"name":{"description":"Name of collection","type":"string"},"timestamp":{"format":"int64","description":"Collection generation time","type":"integer"},"requests":{"description":"Requests associated with the collection","type":"array","items":{"$ref":"#/components/schemas/PostmanRequestGet"}},"synced":{"description":"**unused always false**","type":"boolean"},"folders":{"description":"folders within the collection","type":"array","items":{"$ref":"#/components/schemas/PostmanFolderGet"}},"description":{"description":"Description of collection","type":"string"},"order":{"type":"array","items":{"type":"string"}}}},"PostmanRequestGet":{"description":"[Postman](http://getpostman.com) request object","type":"object","properties":{"id":{"description":"id of request","type":"string"},"headers":{"description":"headers associated with the request","type":"string"},"url":{"description":"url of the request","type":"string"},"pathVariables":{"description":"path variables of the request","type":"object","additionalProperties":{"type":"string"}},"method":{"description":"method of request","type":"string"},"data":{"description":"data to be sent with the request","type":"string"},"dataMode":{"description":"data mode of reqeust","type":"string"},"name":{"description":"name of request","type":"string"},"description":{"description":"request description","type":"string"},"descriptionFormat":{"description":"format of description","type":"string"},"time":{"format":"int64","description":"time that this request object was generated","type":"integer"},"version":{"description":"version of the request object","type":"string"},"responses":{"description":"request response","type":"array","items":{"type":"string"}},"collectionId":{"format":"uuid","description":"the id of the collection that the request object belongs to","type":"string"},"synced":{"description":"Synching","type":"boolean"},"folder":{"format":"uuid","description":"THE ID OF THE POSTMAN FOLDER THIS REQUEST BELONGS IN!!!!!!!","type":"string"}}},"PostmanFolderGet":{"description":"Object that describes a [Postman](http://getpostman.com) folder","type":"object","properties":{"id":{"format":"uuid","description":"id of the folder","type":"string"},"name":{"description":"folder name","type":"string"},"description":{"description":"folder description","type":"string"},"order":{"description":"ordered list of ids of items in folder","type":"array","items":{"type":"string"}},"collectionName":{"description":"Name of the collection","type":"string"},"collectionId":{"format":"uuid","description":"id of the collection","type":"string"}}},"ApiResponseBase":{"title":"NexPort API Response","description":"Base class for api responses","default":{"api_error_entity":{"error_code":3,"error_message":"No entity found matching id in request","warning_messages":[]}},"required":["api_error_entity"],"type":"object","properties":{"api_error_entity":{"$ref":"#/components/schemas/ApiErrorEntity","description":"Error information"}}},"ApiErrorEntity":{"description":"Model used to determine what, if anything, went wrong with an api request","required":["error_code"],"type":"object","properties":{"error_code":{"format":"int32","description":"Used to denote the kind of error that occurred, if any.\r\nNoError=0;\r\nUnknownError=1;\r\nValidationError=2;\r\nItemNotFound=3;\r\nAuthenticationError=4;\r\nAuthorizationError=5;0 = No Error, 1 = Unknown Error, 2 = Validation Error, 3 = Item Not Found, 4 = Authentication Error, 5 = Authorization Error, 6 = Subscription Not Found, 7 = Enrollment Already Exists, 8 = Subscription Already Exists","enum":[0,1,2,3,4,5,6,7,8],"type":"integer"},"error_message":{"description":"Message describing what caused the error to occur","type":"string"},"warning_messages":{"description":"Warning messages describing any  potential problems with the request that do not cause the request to fail","type":"array","items":{"type":"string"},"readOnly":true}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nexportsolutions.com/nexport-user-documentation/developer-documentation/campus-webapi/postmanapi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
